# global hgrev   331

Name:           xnoise
Version:        0.1.6
#Release:        0.1.%{hgrev}hg%{?dist}
Release:        2%{?dist}
Summary:        Tracklist-centric Media Player

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.xnoise-media-player.com/
# hg archive -t tbz2 -r %{hgrev} ../%{name}-%{version}.tar.bz2
#Source0:        %{name}-%{version}.tar.bz2
Source0:        http://xnoise.googlecode.com/files/xnoise-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# for snapshots
# BuildRequires:  gnome-common autoconf automake libtool
# pulled in by gnome-common for snapshots
BuildRequires:  pkgconfig
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  libnotify-devel
BuildRequires:  libsoup-devel 
BuildRequires:  sqlite-devel
BuildRequires:  taglib-devel
BuildRequires:  unique-devel
BuildRequires:  vala-devel
BuildRequires:  desktop-file-utils gettext intltool
Requires:       hicolor-icon-theme

%description
Xnoise is a Gtk+ media player with a tracklist-centric design. The
tracklist is a list of video or music tracks that are played one by
one without being removed (right side of window). This gives you the
possibility to enqueue any track in any order, regardless if they are
on the same album or not. The tracks can be reordered at any time by
using drag and drop.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
# for snapshot builds
#NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/xnoise.desktop
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# remove invalid locale file
rm -rf $RPM_BUILD_ROOT%{_share}/locale/default
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/xnoise
%{_datadir}/xnoise
%{_datadir}/applications/xnoise.desktop
%{_datadir}/icons/hicolor/*/apps/xnoise.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/xnoise-1.0
# make package own the vala API dir:
# xnoise plugins don't have to be written in vala
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/xnoise-1.0.*
%{_libdir}/pkgconfig/xnoise-1.0.pc


%changelog
* Fri Jun 25 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.6-2
- Make xnoise-devel co-own Vala's VAPI dir
- Remove invalid locale file

* Wed Jun 23 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.6-1
- Update to final 0.1.6 release

* Sat Apr  3 2010 Michel Salim <salimma@fedoraproject.org> - 0.1.2-0.1.331hg
- Initial package

